SDL_GetNumHapticAxes(3)

NAME
SDL_GetNumHapticAxes - Get the number of haptic axes the device has.

SYNOPSIS
#include <SDL3/SDL_haptic.h>

int SDL_GetNumHapticAxes(SDL_Haptic *haptic);

DESCRIPTION
The number of haptic axes might be useful if working with the SDL_HapticDirection effect.

FUNCTION PARAMETERS

haptic
    the SDL_Haptic device to query.

RETURN VALUE
Returns the number of axes on success or -1 on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.